Modify

Opened 4 years ago

Closed 23 months ago

Last modified 16 months ago

#10987 closed enhancement (wontfix)

OpenWRT on Asus RTN12-B1

Reported by: abates@… Owned by: hauke
Priority: normal Milestone: Barrier Breaker 14.07
Component: kernel Version: Trunk
Keywords: Cc:

Description

OpenWrt appears to boot just fine on an RTN12-B1 but there are no ethernet or wireless interfaces that show up. I believe this should be possible since the stock firmware uses a Linux 2.6 kernel and the source is available from Asus.

I am willing to work on this if someone can give me some guidance on where to start.

Here is the kernel boot log from OpenWRT:

Starting program at 0x80001000
[    0.000000] Linux version 3.0.18 (abates@smilinjack) (gcc version 4.6.3 20120201 (prerelease) (Linaro GCC 4.6-2012.02) ) #7 Thu Feb 16 12:15:12 MST 2012
[    0.000000] CPU revision is: 00019749 (MIPS 74Kc)
[    0.000000] bcm47xx: using bcma bus
[    0.000000] bcma: Core 0 found: ChipCommon (manuf 0x4BF, id 0x800, rev 0x26, class 0x0)
[    0.000000] bcma: Core 3 found: UNKNOWN (manuf 0x4A7, id 0x82C, rev 0x04, class 0x0)
[    0.000000] bcma: PLL init unknown for device 0x5357
[    0.000000] bcma: PMU resource config unknown for device 0x5357
[    0.000000] bcma: PMU switch/regulators init unknown for device 0x5357
[    0.000000] bcma: Workarounds unknown for device 0x5357
[    0.000000] bcma: Initializing MIPS core...
[    0.000000] bcma: IRQ reconfiguration done
[    0.000000] bcma: core 0x0800, irq : 2(S)* 3  4  5  6  D  I 
[    0.000000] bcma: core 0x082c, irq : 2(S)* 3  4  5  6  D  I 
[    0.000000] bcma: found serial flash.
[    0.000000] bcma: Early bus registered
[    0.000000] Determined physical RAM map:
[    0.000000]  memory: 02000000 @ 00000000 (usable)
[    0.000000] Initrd not found or empty - disabling initrd
[    0.000000] Zone PFN ranges:
[    0.000000]   Normal   0x00000000 -> 0x00002000
[    0.000000] Movable zone start PFN for each node
[    0.000000] early_node_map[1] active PFN ranges
[    0.000000]     0: 0x00000000 -> 0x00002000
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 8128
[    0.000000] Kernel command line:  root=/dev/mtdblock2 rootfstype=squashfs,jffs2 noinitrd console=ttyS0,115200
[    0.000000] PID hash table entries: 128 (order: -3, 512 bytes)
[    0.000000] Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
[    0.000000] Primary instruction cache 32kB, VIPT, 4-way, linesize 32 bytes.
[    0.000000] Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
[    0.000000] Writing ErrCtl register=00000000
[    0.000000] Readback ErrCtl register=00000000
[    0.000000] Memory: 29540k/32768k available (2266k kernel code, 3228k reserved, 338k data, 156k init, 0k highmem)
[    0.000000] NR_IRQS:128
[    0.000000] Calibrating delay loop... 149.50 BogoMIPS (lpj=299008)
[    0.032000] pid_max: default: 32768 minimum: 301
[    0.032000] Mount-cache hash table entries: 512
[    0.036000] NET: Registered protocol family 16
[    0.048000] bio: create slab <bio-0> at 0
[    0.056000] Switching to clocksource MIPS
[    0.064000] NET: Registered protocol family 2
[    0.064000] IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
[    0.068000] TCP established hash table entries: 1024 (order: 1, 8192 bytes)
[    0.068000] TCP bind hash table entries: 1024 (order: 0, 4096 bytes)
[    0.068000] TCP: Hash tables configured (established 1024 bind 1024)
[    0.068000] TCP reno registered
[    0.068000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[    0.068000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[    0.068000] NET: Registered protocol family 1
[    0.068000] bcma: Core 1 found: IEEE 802.11 (manuf 0x4BF, id 0x812, rev 0x1C, class 0x0)
[    0.068000] bcma: Core 2 found: GBit MAC (manuf 0x4BF, id 0x82D, rev 0x03, class 0x0)
[    0.068000] bcma: Core 4 found: USB 2.0 Host (manuf 0x4BF, id 0x819, rev 0x05, class 0x0)
[    0.068000] bcma: Core 5 found: DDR1/DDR2 Memory Controller (manuf 0x4BF, id 0x82E, rev 0x02, class 0x0)
[    0.068000] bcma: Core 6 found: I2S (manuf 0x4BF, id 0x834, rev 0x02, class 0x0)
[    0.068000] bcma: Core 7 found: Internal Memory (manuf 0x4BF, id 0x80E, rev 0x0B, class 0x0)
[    0.068000] bcma: Initializing MIPS core...
[    0.068000] bcma: set_irq: core 0x0812, irq 3 => 3
[    0.068000] bcma: set_irq: core 0x082d, irq 4 => 4
[    0.068000] bcma: set_irq: core 0x0819, irq 5 => 5
[    0.068000] bcma: IRQ reconfiguration done
[    0.068000] bcma: core 0x0800, irq : 2(S)* 3  4  5  6  D  I 
[    0.068000] bcma: core 0x082c, irq : 2(S)* 3  4  5  6  D  I 
[    0.068000] bcma: core 0x0812, irq : 2(S)  3* 4  5  6  D  I 
[    0.068000] bcma: core 0x082d, irq : 2(S)  3  4* 5  6  D  I 
[    0.072000] bcma: core 0x0819, irq : 2(S)  3  4  5* 6  D  I 
[    0.072000] bcma: core 0x082e, irq : 2(S)* 3  4  5  6  D  I 
[    0.072000] bcma: core 0x0834, irq : 2(S)* 3  4  5  6  D  I 
[    0.072000] bcma: core 0x080e, irq : 2(S)* 3  4  5  6  D  I 
[    0.072000] bcma: No SPROM available
[    0.076000] bcma: Bus registered
[    0.080000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    0.080000] JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[    0.080000] msgmni has been set to 57
[    0.080000] io scheduler noop registered
[    0.080000] io scheduler deadline registered (default)
[    0.080000] Serial: 8250/16550 driver, 2 ports, IRQ sharing enabled
[    0.104000] serial8250.0: ttyS0 at MMIO 0xb8000300 (irq = 2) is a U6_16550A
[    0.548000] console [ttyS0] enabled
[    0.556000] bcm47xx_pflash: error registering platform driver: -19
[    0.564000] bcm47xx_sflash: found serial flash: blocksize=64KB, numblocks=128, size=8192KB
[    0.572000] bcm47xx_part: bootloader size: 131072
[    0.616000] bcm47xx_part: Looking for dual image
[    0.624000] bcm47xx_part: TRX offset : 0
[    1.604000] bcm47xx_part: Updating TRX offsets and length:
[    1.608000] bcm47xx_part: old trx = [0x0000001c, 0x00000960, 0x000dc000], len=0x002f1000 crc32=0xa7b1f14e
[    1.620000] bcm47xx_part: new trx = [0x0000001c, 0x00000960, 0x000dc000], len=0x000dc000 crc32=0xd75b4513
[    2.012000] bcm47xx_part: Done
[    2.016000] 4 bcm47xx partitions found on MTD device bcm47xx-sflash
[    2.024000] Creating 4 MTD partitions on "bcm47xx-sflash":
[    2.028000] 0x000000000000-0x000000020000 : "cfe"
[    2.036000] 0x000000020000-0x0000007f0000 : "linux"
[    2.048000] 0x0000000fc000-0x0000007f0000 : "rootfs"
[    2.052000] mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[    2.068000] mtd: partition "rootfs" set to be root filesystem
[    2.072000] mtd: partition "rootfs_data" created automatically, ofs=2D0000, len=520000 
[    2.084000] 0x0000002d0000-0x0000007f0000 : "rootfs_data"
[    2.092000] 0x0000007f0000-0x000000800000 : "nvram"
[    2.100000] BCM47XX: Configuring PCI
[    2.108000] BCM47xx Watchdog Timer enabled (30 seconds, nowayout)
[    2.116000] TCP westwood registered
[    2.116000] NET: Registered protocol family 17
[    2.124000] 802.1Q VLAN Support v1.8
[    2.136000] VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
[    2.148000] Freeing unused kernel memory: 156k freed
[    5.092000] diag: Router model not detected.
[    6.224000] roboswitch: Probing device eth0: No such device
[    6.232000] roboswitch: Probing device eth1: No such device
[    6.236000] roboswitch: Probing device eth2: No such device
[    6.240000] roboswitch: Probing device eth3: No such device
[    9.444000] diag: Router model not detected.
- preinit -
Press the [f] key and hit [enter] to enter failsafe mode
- regular preinit -
jffs2 not ready yet; using ramdisk
- init -

Please press Enter to activate this console. [   15.316000] Compat-wireless backport release: compat-wireless-2012-01-16-14-g02166d5
[   15.324000] Backport based on wireless-testing.git master-2012-02-06
[   15.372000] cfg80211: Calling CRDA to update world regulatory domain
[   15.468000] roboswitch: Probing device eth0: No such device
[   15.476000] roboswitch: Probing device eth1: No such device
[   15.480000] roboswitch: Probing device eth2: No such device
[   15.488000] roboswitch: Probing device eth3: No such device
[   15.824000] cfg80211: World regulatory domain updated:
[   15.832000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[   15.840000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   15.848000] cfg80211:   (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[   15.856000] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[   15.864000] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   15.872000] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   16.548000] Broadcom 43xx driver loaded [ Features: PNL ]
[   16.588000] Broadcom 43xx-legacy driver loaded [ Features: PLID ]
[   16.616000] tun: Universal TUN/TAP device driver, 1.6
[   16.620000] tun: (C) 1999-2004 Max Krasnyansky <maxk@qualcomm.com>
[   16.800000] ip_tables: (C) 2000-2006 Netfilter Core Team
[   16.996000] nf_conntrack version 0.5.0 (464 buckets, 1856 max)
[   28.016000] jffs2_scan_eraseblock(): End of filesystem marker found at 0x0
[   28.032000] jffs2_build_filesystem(): unlocking the mtd device... done.
[   28.036000] jffs2_build_filesystem(): erasing all blocks after the end marker... 


BusyBox v1.19.3 (2012-02-15 18:36:44 MST) built-in shell (ash)
Enter 'help' for a list of built-in commands.

  _______                     ________        __
 |       |.-----.-----.-----.|  |  |  |.----.|  |_
 |   -   ||  _  |  -__|     ||  |  |  ||   _||   _|
 |_______||   __|_____|__|__||________||__|  |____|
          |__| W I R E L E S S   F R E E D O M
 ATTITUDE ADJUSTMENT (bleeding edge, r30563) ----------
  * 1/4 oz Vodka      Pour all ingredients into mixing
  * 1/4 oz Gin        tin with ice, strain into glass.
  * 1/4 oz Amaretto
  * 1/4 oz Triple sec
  * 1/4 oz Peach schnapps
  * 1/4 oz Sour mix
  * 1 splash Cranberry juice
 -----------------------------------------------------
root@OpenWrt:/#

Attachments (1)

b43-add-bcm-5357.patch (564 bytes) - added by hauke 4 years ago.

Download all attachments as: .zip

Change History (33)

Changed 4 years ago by hauke

comment:1 Changed 4 years ago by hauke

  • Owner changed from developers to hauke
  • Status changed from new to accepted

The Ethernet driver used in the GPL package provided by Asus is not licensed under a GPL compatible license so we are unable to use it or build a own driver directly based on it. Someone has to implement the spec without looking into the Broadcom source.

The wireless part could already work depending on the chip used in your SoC, please try the attached patch and report the results. It just makes b43 recognize the chip. You probably also have to activate "Enable support for HT-PHYs" in b43 configuration.

Ethernet driver Spec: http://bcm-v4.sipsolutions.net/mac-gbit

comment:2 Changed 4 years ago by hauke

The patch has to be placed to package/mac80211/patches/

comment:3 Changed 4 years ago by hauke

Does the patch make wireless work?

comment:4 Changed 4 years ago by abates@…

My extreme apologies for dropping the ball on this. I applied the patch and it gets a little further but is still not working:

[   17.368000] b43-phy0: Broadcom 5357 WLAN found (core revision 28)
[   17.376000] b43-phy0 ERROR: FOUND UNSUPPORTED RADIO (Manuf 0x17F, Version 0x2057, Revision 5)
[   17.384000] b43: probe of bcma0:5 failed with error -122

comment:5 Changed 4 years ago by hauke

Now I also have a device with a BCM47186 (id 5357) in it, a Linksys E3200. b43 does not support this wifi core, the core is too new. I also tried brcmsmac but had no success till now, the phy is too new for brcmsmac, but I hope Broadcom will add support for such phys soon. brcmsmac does not have support for AP mode, just client mode.

I am currently working on the Ethernet driver, so this should work in some time, but I do not know when wifi will work. The proprietary Broadcom driver is also too old for this device.

comment:6 Changed 4 years ago by abates@…

Please let me know if there is anything I can do to help with this effort.

comment:7 Changed 4 years ago by nanpuyue@…

I have a device with BCM5738(like with BCM5357) in it, a Fiboom HG320. DD-WRT & Tomato can work on it, for OpenWrt it like with RTN12-B1.

Here is the OpenWrt(http://downloads.openwrt.org/attitude_adjustment/12.09-beta/brcm47xx/generic/openwrt-brcm47xx-squashfs.trx) bootlog on it:

CFE version 5.60.120.9  based on BBP 1.0.37 for BCM947XX (32bit,SP,LE)
Build Date: 2011年 05月 04日 星期三 15:32:36 CST (root@localhost.localdomain)
Copyright (C) 2000-2008 Broadcom Corporation.

Init Arena
Init Devs.
Boot partition size = 131072(0x20000)
Found a 16MB ST compatible serial flash
[CFE][boot][ST Serial flash offset 00000000 size 128KB]
[CFE][trx][ST Serial flash offset 00020000 size 1KB]
[CFE][os][ST Serial flash offset 0002001C size 16224KB]
[CFE][nvram][ST Serial flash offset 00FF8000 size 32KB]
[CFE][boot][ST Serial flash offset 00000000 size 128KB]
[CFE][trx0][ST Serial flash offset 00020000 size 1KB]
[CFE][os0][ST Serial flash offset 0002001C size 8832KB]
[CFE][trx1][ST Serial flash offset 008C0000 size 1KB]
[CFE][os1][ST Serial flash offset 008C001C size 7392KB]
[CFE][nvram][ST Serial flash offset 00FF8000 size 32KB]
et0: Broadcom BCM47XX 10/100/1000 Mbps Ethernet Controller 5.60.120.9
CPU type 0x19749: 500MHz
Tot mem: 65536 KBytes

CFE mem:    0x80700000 - 0x8079A7D0 (632784)
Data:       0x807306D0 - 0x80733850 (12672)
BSS:        0x80733850 - 0x807347D0 (3968)
Heap:       0x807347D0 - 0x807987D0 (409600)
Stack:      0x807987D0 - 0x8079A7D0 (8192)
Text:       0x80700000 - 0x807306C8 (198344)

Device eth0:  hwaddr 00-90-4C-01-60-01, ipaddr 192.168.1.1, mask 255.255.255.0
        gateway not set, nameserver not set
cur=
buf=go;
Loader:raw Filesys:tftp Dev:eth0 File:: Options:(null)
Loading: Failed.
Could not load :: Timeout occured
Boot from big image !!
Loader:raw Filesys:raw Dev:flash0.os File: Options:(null)
Loading: .. 3780 bytes read
Entry at 0x80001000
Closing network.
Starting program at 0x80001000
[    0.000000] Linux version 3.3.8 (openwrt@callisto.lab.bufferbloat.net) (gcc version 4.6.3 20120201 (prerelease) (Linaro GCC 4.6-2012.02) ) #1 Wed Sep 26 21:16:16 EDT 2012
[    0.000000] CPU revision is: 00019749 (MIPS 74Kc)
[    0.000000] bcm47xx: using bcma bus
[    0.000000] bcma: bus0: Found chip with id 0x5357, rev 0x02 and package 0x09
[    0.000000] bcma: bus0: Core 0 found: ChipCommon (manuf 0x4BF, id 0x800, rev 0x26, class 0x0)
[    0.000000] bcma: bus0: Core 3 found: MIPS 74K (manuf 0x4A7, id 0x82C, rev 0x04, class 0x0)
[    0.000000] bcma: bus0: Initializing MIPS core...
[    0.000000] bcma: bus0: IRQ reconfiguration done
[    0.000000] bcma: core 0x0800, irq : 2(S)* 3  4  5  6  D  I
[    0.000000] bcma: core 0x082c, irq : 2(S)* 3  4  5  6  D  I
[    0.000000] bcma: bus0: found serial flash.
[    0.000000] bcma: bus0: Early bus registered
[    0.000000] gpiochip_add: registered GPIOs 0 to 15 on device: bcm47xx
[    0.000000] Determined physical RAM map:
[    0.000000]  memory: 04000000 @ 00000000 (usable)
[    0.000000] Initrd not found or empty - disabling initrd
[    0.000000] Zone PFN ranges:
[    0.000000]   Normal   0x00000000 -> 0x00004000
[    0.000000] Movable zone start PFN for each node
[    0.000000] Early memory PFN ranges
[    0.000000]     0: 0x00000000 -> 0x00004000
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 16256
[    0.000000] Kernel command line:  root=/dev/mtdblock2 rootfstype=squashfs,jffs2 noinitrd console=ttyS0,115200
[    0.000000] PID hash table entries: 256 (order: -2, 1024 bytes)
[    0.000000] Dentry cache hash table entries: 8192 (order: 3, 32768 bytes)
[    0.000000] Inode-cache hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Primary instruction cache 32kB, VIPT, 4-way, linesize 32 bytes.
[    0.000000] Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
[    0.000000] Writing ErrCtl register=00000000
[    0.000000] Readback ErrCtl register=00000000
[    0.000000] Memory: 61420k/65536k available (2545k kernel code, 4116k reserved, 542k data, 168k init, 0k highmem)
[    0.000000] NR_IRQS:128
[    0.000000] Calibrating delay loop... 249.34 BogoMIPS (lpj=498688)
[    0.032000] pid_max: default: 32768 minimum: 301
[    0.032000] Mount-cache hash table entries: 512
[    0.032000] NET: Registered protocol family 16
[    0.048000] bio: create slab <bio-0> at 0
[    0.056000] Switching to clocksource MIPS
[    0.064000] NET: Registered protocol family 2
[    0.064000] IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
[    0.064000] TCP established hash table entries: 2048 (order: 2, 16384 bytes)
[    0.064000] TCP bind hash table entries: 2048 (order: 1, 8192 bytes)
[    0.064000] TCP: Hash tables configured (established 2048 bind 2048)
[    0.064000] TCP reno registered
[    0.064000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[    0.064000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[    0.064000] NET: Registered protocol family 1
[    0.064000] bcma: bus0: Core 1 found: IEEE 802.11 (manuf 0x4BF, id 0x812, rev 0x1C, class 0x0)
[    0.064000] bcma: bus0: Core 2 found: GBit MAC (manuf 0x4BF, id 0x82D, rev 0x03, class 0x0)
[    0.064000] bcma: bus0: Core 4 found: USB 2.0 Host (manuf 0x4BF, id 0x819, rev 0x05, class 0x0)
[    0.064000] bcma: bus0: Core 5 found: DDR1/DDR2 Memory Controller (manuf 0x4BF, id 0x82E, rev 0x02, class 0x0)
[    0.064000] bcma: bus0: Core 6 found: I2S (manuf 0x4BF, id 0x834, rev 0x02, class 0x0)
[    0.068000] bcma: bus0: Core 7 found: Internal Memory (manuf 0x4BF, id 0x80E, rev 0x0B, class 0x0)
[    0.068000] bcma: bus0: Initializing MIPS core...
[    0.068000] bcma: bus0: set_irq: core 0x0812, irq 3 => 3
[    0.068000] bcma: bus0: set_irq: core 0x082d, irq 4 => 4
[    0.068000] bcma: bus0: set_irq: core 0x0819, irq 5 => 5
[    0.068000] bcma: bus0: IRQ reconfiguration done
[    0.068000] bcma: core 0x0800, irq : 2(S)* 3  4  5  6  D  I
[    0.068000] bcma: core 0x082c, irq : 2(S)* 3  4  5  6  D  I
[    0.068000] bcma: core 0x0812, irq : 2(S)  3* 4  5  6  D  I
[    0.068000] bcma: core 0x082d, irq : 2(S)  3  4* 5  6  D  I
[    0.068000] bcma: core 0x0819, irq : 2(S)  3  4  5* 6  D  I
[    0.068000] bcma: core 0x082e, irq : 2(S)* 3  4  5  6  D  I
[    0.068000] bcma: core 0x0834, irq : 2(S)* 3  4  5  6  D  I
[    0.068000] bcma: core 0x080e, irq : 2(S)* 3  4  5  6  D  I
[    0.080000] Unsupported SPROM revision 0 detected. Will extract v1
[    0.100000] bcma: bus0: Bus registered
[    0.100000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    0.100000] JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[    0.104000] msgmni has been set to 119
[    0.104000] Block layer SCSI generic (bsg) driver version 0.4 loaded (major 254)
[    0.104000] io scheduler noop registered
[    0.104000] io scheduler deadline registered (default)
[    0.104000] Serial: 8250/16550 driver, 16 ports, IRQ sharing enabled
[    0.132000] serial8250.0: ttyS0 at MMIO 0xb8000300 (irq = 2) is a U6_16550A
[    0.588000] console [ttyS0] enabled
[    0.596000] bcm47xx_pflash: error registering platform driver: -19
[    0.604000] bcm47xx_sflash: found serial flash: blocksize=64KB, numblocks=256, size=16384KB
[    0.612000] bcm47xx_part: bootloader size: 131072
[    0.620000] bcm47xx_part: Looking for dual image
[    0.628000] bcm47xx_part: TRX offset : 0
[    0.632000] 4 bcm47xx partitions found on MTD device bcm47xx-sflash
[    0.640000] Creating 4 MTD partitions on "bcm47xx-sflash":
[    0.644000] 0x000000000000-0x000000020000 : "cfe"
[    0.652000] 0x000000020000-0x000000ff0000 : "linux"
[    0.660000] 0x000000127c00-0x000000ff0000 : "rootfs"
[    0.664000] mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[    0.680000] mtd: partition "rootfs" set to be root filesystem
[    0.688000] mtd: partition "rootfs_data" created automatically, ofs=2A0000, len=D50000
[    0.696000] 0x0000002a0000-0x000000ff0000 : "rootfs_data"
[    0.704000] 0x000000ff0000-0x000001000000 : "nvram"
[    0.712000] bcm47xx_nflash: error registering platform driver: -19
[    0.720000] BCM47xx Watchdog Timer enabled (30 seconds, nowayout)
[    0.728000] TCP cubic registered
[    0.732000] NET: Registered protocol family 17
[    0.736000] Bridge firewalling registered
[    0.740000] 8021q: 802.1Q VLAN Support v1.8
[    0.752000] VFS: Mounted root (squashfs filesystem) readonly on device 31:2.
[    0.760000] Freeing unused kernel memory: 168k freed
[    2.952000] diag: Router model not detected.
[    4.044000] roboswitch: Probing device eth0: No such device
[    4.048000] roboswitch: Probing device eth1: No such device
[    4.056000] roboswitch: Probing device eth2: No such device
[    4.060000] roboswitch: Probing device eth3: No such device
[    7.204000] diag: Router model not detected.
- preinit -
Press the [f] key and hit [enter] to enter failsafe mode
- regular preinit -
[   10.600000] JFFS2 notice: (314) jffs2_build_xattr_subsystem: complete building xattr subsystem, 1 of xdatum (0 unchecked, 0 orphan) and 4 of xref (0 dead, 2 orphan) found.
switching to jffs2
- init -

Please press Enter to activate this console. [   12.568000] Compat-drivers backport release: compat-drivers-2012-09-04-2-gddac993
[   12.576000] Backport based on wireless-testing.git master-2012-09-07
[   12.584000] compat.git: wireless-testing.git
[   12.620000] cfg80211: Calling CRDA to update world regulatory domain
[   12.624000] cfg80211: World regulatory domain updated:
[   12.632000] cfg80211:   (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp)
[   12.640000] cfg80211:   (2402000 KHz - 2472000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   12.648000] cfg80211:   (2457000 KHz - 2482000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[   12.656000] cfg80211:   (2474000 KHz - 2494000 KHz @ 20000 KHz), (300 mBi, 2000 mBm)
[   12.664000] cfg80211:   (5170000 KHz - 5250000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   12.668000] cfg80211:   (5735000 KHz - 5835000 KHz @ 40000 KHz), (300 mBi, 2000 mBm)
[   12.756000] roboswitch: Probing device eth0: No such device
[   12.760000] roboswitch: Probing device eth1: No such device
[   12.768000] roboswitch: Probing device eth2: No such device
[   12.772000] roboswitch: Probing device eth3: No such device
[   13.296000] Broadcom 43xx driver loaded [ Features: PNL ]
[   13.324000] Broadcom 43xx-legacy driver loaded [ Features: PLID ]
[   13.440000] PPP generic driver version 2.4.2
[   13.572000] ip_tables: (C) 2000-2006 Netfilter Core Team
[   13.700000] NET: Registered protocol family 24
[   13.724000] nf_conntrack version 0.5.0 (962 buckets, 3848 max)

And the DD-WRT that can work on it is:ftp://ftp.dd-wrt.com/others/eko/BrainSlayer-V24-preSP2/2012/07-20-12-r19519/broadcom_K26/dd-wrt.v24-19519_NEWD-2_K2.6_mega.bin

Tomato:https://tomato-shibby-arctic-chs.googlecode.com/files/tomato-K26USB-1.28.0812MIPSR2-RT-N5x-Arctic-BT.trx

It seems that the wireless drvier of tomato is from ASUS RT-N66U GPL source, and the version is 5.100.138.20.

comment:8 Changed 3 years ago by hauke

  • Resolution set to fixed
  • Status changed from accepted to closed

Could some please test if Ethernet works when selecting bgmac driver?
Now everything expect wifi should work with these devices.

comment:9 Changed 3 years ago by abates@…

  • Resolution fixed deleted
  • Status changed from closed to reopened

When using the bgmac driver eth0 does in fact show up, but I cannot get the interface(s) to work. I don't see any traffic entering the interface when monitorring with tcpdump.

This is some information from dmesg:

[    4.324000] diag: Detected 'ASUS WL-500g Deluxe'
[    4.636000] bgmac bcma0:1: Found PHY addr: 30 (NOREGS)
[    4.648000] bgmac bcma0:1: TX on ring 0x200 supports unaligned addressing but this feature is not implemented
[    4.660000] bgmac bcma0:1: TX on ring 0x240 supports unaligned addressing but this feature is not implemented
[    4.668000] bgmac bcma0:1: TX on ring 0x280 supports unaligned addressing but this feature is not implemented
[    4.680000] bgmac bcma0:1: TX on ring 0x2C0 supports unaligned addressing but this feature is not implemented
[    4.688000] bgmac bcma0:1: RX on ring 0x200 supports unaligned addressing but this feature is not implemented
[    4.704000] bgmac bcma0:1: Support for Roboswitch not implemented
[    4.752000] bgmac: Broadcom 47xx GBit MAC driver loaded
[    4.836000] roboswitch: Probing device 'eth0'
[    4.848000] roboswitch: found a 5325! It's a 5350. at eth0
[    4.324000] diag: Detected 'ASUS WL-500g Deluxe'
[    4.636000] bgmac bcma0:1: Found PHY addr: 30 (NOREGS)
[    4.648000] bgmac bcma0:1: TX on ring 0x200 supports unaligned addressing but this feature is not implemented
[    4.660000] bgmac bcma0:1: TX on ring 0x240 supports unaligned addressing but this feature is not implemented
[    4.668000] bgmac bcma0:1: TX on ring 0x280 supports unaligned addressing but this feature is not implemented
[    4.680000] bgmac bcma0:1: TX on ring 0x2C0 supports unaligned addressing but this feature is not implemented
[    4.688000] bgmac bcma0:1: RX on ring 0x200 supports unaligned addressing but this feature is not implemented
[    4.704000] bgmac bcma0:1: Support for Roboswitch not implemented
[    4.752000] bgmac: Broadcom 47xx GBit MAC driver loaded
[    4.836000] roboswitch: Probing device 'eth0'
[    4.848000] roboswitch: found a 5325! It's a 5350. at eth0

comment:10 Changed 3 years ago by hauke

The switch driver got many updates could you please try if current trunk now works for you?

Could you also post the output of

cat /proc/switch/eth0/vlan/0/ports 

and

cat /proc/switch/eth0/vlan/1/ports 

comment:11 Changed 3 years ago by abates@…

I just pulled the latest trunk and rebuilt. Everything appears to be configured correctly (ifconfig output, brctl output, etc.) but I never see any traffic in and out of the actual Ethernet ports. Here is the requested output:

root@OpenWrt:/#  cat /proc/switch/eth0/vlan/0/ports
0       1       2       3       5t*
root@OpenWrt:/#  cat /proc/switch/eth0/vlan/1/ports
4       5t

Thanks,
Andrew

comment:12 Changed 3 years ago by bodka.zavinac@…

hey any update please? this is reasonably cheap router with usb, many ppl may love it working, thank you guys! u r doing a great job

comment:13 Changed 3 years ago by bodka.zavinac@…

guys i wanna move this, what can i do? i have the device, how can i testi it? i havent found it in make menuconfig configuration

comment:14 Changed 3 years ago by strace

Hello,
I have a router based on bcm5357 chip but neither 12.09-rc1 nor 12.09 final release is not working with it. After flashing the device, it seems to be booting, but i can't access it and the power diode goes off after a while. It happens with both versions.

From the 12.09 final release announcement i have learned that:
"Known Issues:

Lower end devices with only 16 MiB RAM will easily run out of Memory, for bcm47xx based devices is Backfire with brcm-2.4 recommended"

My router has got 32MB.

What can i do? How can i help? Is there any chance the bcm47xx (bcm5357) will work on soon? I do not want to go back to Backfire.

I have noticed that the bcm47xx (bcm5357) support has even been dropped from the svn repository.

comment:15 follow-up: Changed 3 years ago by hauke

This devices is not support by 12.09.X and will not be supported by 12.09.X, support should start with BB (currently trunk). Support for bcm47xx was never dropped.

Current trunk uses a new switch driver, could someone please test it.

comment:16 Changed 3 years ago by strace

As far as I recall the day in which I wrote the comment I wanted to build openwrt for asus rt-n10u and could not find the bcm47xx target in the make menuconfig. Good to see support for the bcm47xx (and bcm53xx) is back.

At the moment after building openwrt with default config from current (37767) trunk and uploading it by the recovery mode after reboot the router is entering in recovery mode? (blinking power led) and so is. The current trunk still does not work with asus rt-n10u based on bcm5357.

comment:17 in reply to: ↑ 15 ; follow-up: Changed 3 years ago by abates@…

Replying to hauke:

This devices is not support by 12.09.X and will not be supported by 12.09.X, support should start with BB (currently trunk). Support for bcm47xx was never dropped.

Current trunk uses a new switch driver, could someone please test it.

I just pulled the trunk and compiled. It still seems like the ethernet is not working, but I haven't tried to adjust the config. Suggestions?

Andrew

comment:18 in reply to: ↑ 17 Changed 3 years ago by abates@…

Replying to abates@…:

Replying to hauke:

This devices is not support by 12.09.X and will not be supported by 12.09.X, support should start with BB (currently trunk). Support for bcm47xx was never dropped.

Current trunk uses a new switch driver, could someone please test it.

I just pulled the trunk and compiled. It still seems like the ethernet is not working, but I haven't tried to adjust the config. Suggestions?

Andrew

swconfig reports correct link-state and speed, but I am not able to ping from the router or to the router. Macs are not being resolved with arp either, so forwarding doesn't appear to be working.

Andrew

comment:19 Changed 3 years ago by abates@…

I don't know if this is helpful, but here is some dmesg output:

[    4.460000] bgmac bcma0:1: Found PHY addr: 30 (NOREGS)
[    4.472000] bgmac bcma0:1: TX on ring 0x200 supports unaligned addressing but this feature is not implemented
[    4.484000] bgmac bcma0:1: TX on ring 0x240 supports unaligned addressing but this feature is not implemented
[    4.492000] bgmac bcma0:1: TX on ring 0x280 supports unaligned addressing but this feature is not implemented
[    4.504000] bgmac bcma0:1: TX on ring 0x2C0 supports unaligned addressing but this feature is not implemented
[    4.512000] bgmac bcma0:1: RX on ring 0x200 supports unaligned addressing but this feature is not implemented
[    4.528000] bgmac bcma0:1: Support for Roboswitch not implemented
[    4.540000] libphy: bgmac mii bus: probed
[    4.572000] b53_common: found switch: BCM5325, rev 0
[    4.580000] (unregistered net_device): attached PHY driver [Broadcom B53 (2)] (mii_bus:phy_addr=bgmac-0-0:1e)
[    4.592000] bgmac: Broadcom 47xx GBit MAC driver loaded
[    5.120000] Found board: "Asus RT-N12B1"
[    5.124000] diag: kernel found a "Asus RT-N12B1"
[    5.132000] diag: board was detected as "Asus RT-N12B1", but not gpio configuration available
[    5.140000] diag: now trying legacy detect
[    5.152000] diag: Router model not detected.

comment:20 Changed 3 years ago by anonymous

There is a known problem with BCM5357* and network, see https://lists.openwrt.org/pipermail/openwrt-devel/2013-September/021371.html

comment:21 Changed 3 years ago by hauke

  • Resolution set to fixed
  • Status changed from reopened to closed

Thank you for reporting, the Ethernet problem was fixed in r37993, r37994, r37995.

Please open a new ticket for the Asus rt-n10u every time going into recovery mode.

comment:22 follow-up: Changed 3 years ago by arno.teigseth@…

Hi according to http://wiki.openwrt.org/toh/asus/rt-n10u this ticket blocks openwrt for RT-N10

I have one with hardware rev. D1 but I'm a bit newbie to this so I actually don't understand if this ticket's fixed? Will I be able to stick openwrt into my RT-N10 H/W D1 now?

comment:23 in reply to: ↑ 22 Changed 3 years ago by sombatsombat@…

Replying to arno.teigseth@…:

Hi according to http://wiki.openwrt.org/toh/asus/rt-n10u this ticket blocks openwrt for RT-N10

I have one with hardware rev. D1 but I'm a bit newbie to this so I actually don't understand if this ticket's fixed? Will I be able to stick openwrt into my RT-N10 H/W D1 now?

I think the url you mentioned is for rt-n10u, not for your rt-n10 D1.

comment:24 Changed 3 years ago by ilnaz

Everything works except the wi-fi #14316

comment:25 Changed 2 years ago by Luke

  • Resolution fixed deleted
  • Status changed from closed to reopened

WHat is the status of RT-N10 - I see the ticked is cosed but on page about RT-N10 it is information that the router is not supported.

Please clarify. Open ticket and do appropriate actions or update router page and set is as supported.

Make communication clear.

comment:26 Changed 2 years ago by bodka.zavinac@…

is there a way to make the wifi work? some 3rd party tutorial? thx

comment:27 Changed 2 years ago by nbd

  • Resolution set to fixed
  • Status changed from reopened to closed

The bug tracker is the wrong place to ask questions like this, use the list/forum to discuss such issues instead.
Please only use Trac to track *specific* bugs and issues

comment:28 Changed 2 years ago by anonymous

Is there any method that enables wireless work?

comment:29 Changed 2 years ago by Cage

  • Resolution fixed deleted
  • Status changed from closed to reopened

hello
Wireless is not working for this router. Ethernet seems fine with last trunk build (20-june-2014).

my config is the following:

root@OpenWrt:/etc/config# cat wireless
config wifi-device wl0

option type mac80211
option channel 5

config wifi-iface

option device wl0
option network lan
option mode ap
option ssid OpenWrt
option encryption none

However, this happen:

root@OpenWrt:/etc/config# wifi up
root@OpenWrt:/etc/config# wifi status
{

"wl0": {

"up": false,
"pending": false,
"autostart": false,
"disabled": false,
"interfaces": [

{

"section": "cfg033579"

}

]

}

}

If this help, there it is the dmesg output:

root@OpenWrt:/etc/config# dmesg
[ 0.000000] Linux version 3.10.36 (thepeople@trabant) (gcc version 4.8.3 (OpenWrt/Linaro GCC 4.8-2014.04 r41281) ) #1 Fri Jun 20 08:37:45 CEST 2014
[ 0.000000] CPU revision is: 00019749 (MIPS 74Kc)
[ 0.000000] bcm47xx: using bcma bus
[ 0.000000] bcma: bus0: Found chip with id 0x5357, rev 0x02 and package 0x08
[ 0.000000] bcma: bus0: Core 0 found: ChipCommon (manuf 0x4BF, id 0x800, rev 0x26, class 0x0)
[ 0.000000] bcma: bus0: Core 3 found: MIPS 74K (manuf 0x4A7, id 0x82C, rev 0x04, class 0x0)
[ 0.000000] bcma: bus0: Found rev 9 PMU (capabilities 0x28A42A09)
[ 0.000000] bcma: bus0: Found serial flash
[ 0.000000] bcma: bus0: Found M25P64 serial flash (size: 8192KiB, blocksize: 0x10000, blocks: 128)
[ 0.000000] bcma: bus0: Early bus registered
[ 0.000000] MIPS: machine is Asus RT-N10U
[ 0.000000] Determined physical RAM map:
[ 0.000000] memory: 02000000 @ 00000000 (usable)
[ 0.000000] Initrd not found or empty - disabling initrd
[ 0.000000] Zone ranges:
[ 0.000000] Normal [mem 0x00000000-0x01ffffff]
[ 0.000000] Movable zone start for each node
[ 0.000000] Early memory node ranges
[ 0.000000] node 0: [mem 0x00000000-0x01ffffff]
[ 0.000000] On node 0 totalpages: 8192
[ 0.000000] free_area_init_node: node 0, pgdat 802e6b80, node_mem_map 81000000
[ 0.000000] Normal zone: 64 pages used for memmap
[ 0.000000] Normal zone: 0 pages reserved
[ 0.000000] Normal zone: 8192 pages, LIFO batch:0
[ 0.000000] Primary instruction cache 32kB, VIPT, 4-way, linesize 32 bytes.
[ 0.000000] Primary data cache 32kB, 4-way, VIPT, cache aliases, linesize 32 bytes
[ 0.000000] pcpu-alloc: s0 r0 d32768 u32768 alloc=1*32768
[ 0.000000] pcpu-alloc: [0] 0
[ 0.000000] Built 1 zonelists in Zone order, mobility grouping on. Total pages: 8128
[ 0.000000] Kernel command line: noinitrd console=ttyS0,115200
[ 0.000000] PID hash table entries: 128 (order: -3, 512 bytes)
[ 0.000000] Dentry cache hash table entries: 4096 (order: 2, 16384 bytes)
[ 0.000000] Inode-cache hash table entries: 2048 (order: 1, 8192 bytes)
[ 0.000000] Writing ErrCtl register=00000000
[ 0.000000] Readback ErrCtl register=00000000
[ 0.000000] Memory: 28916k/32768k available (2453k kernel code, 3852k reserved, 596k data, 208k init, 0k highmem)
[ 0.000000] NR_IRQS:128
[ 0.000000] Setting up vectored interrupts
[ 0.060000] Calibrating delay loop... 148.88 BogoMIPS (lpj=744448)
[ 0.060000] pid_max: default: 32768 minimum: 301
[ 0.070000] Mount-cache hash table entries: 512
[ 0.070000] NET: Registered protocol family 16
[ 0.090000] bio: create slab <bio-0> at 0
[ 0.100000] Switching to clocksource MIPS
[ 0.110000] NET: Registered protocol family 2
[ 0.110000] TCP established hash table entries: 512 (order: 0, 4096 bytes)
[ 0.110000] TCP bind hash table entries: 512 (order: -1, 2048 bytes)
[ 0.110000] TCP: Hash tables configured (established 512 bind 512)
[ 0.110000] TCP: reno registered
[ 0.110000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[ 0.110000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[ 0.110000] NET: Registered protocol family 1
[ 0.110000] PCI: CLS 0 bytes, default 32
[ 0.110000] bcma: bus0: Core 1 found: IEEE 802.11 (manuf 0x4BF, id 0x812, rev 0x1C, class 0x0)
[ 0.110000] bcma: bus0: Core 2 found: GBit MAC (manuf 0x4BF, id 0x82D, rev 0x03, class 0x0)
[ 0.110000] bcma: bus0: Core 4 found: USB 2.0 Host (manuf 0x4BF, id 0x819, rev 0x05, class 0x0)
[ 0.110000] bcma: bus0: Core 5 found: DDR1/DDR2 Memory Controller (manuf 0x4BF, id 0x82E, rev 0x02, class 0x0)
[ 0.110000] bcma: bus0: Core 6 found: I2S (manuf 0x4BF, id 0x834, rev 0x02, class 0x0)
[ 0.110000] bcma: bus0: Core 7 found: Internal Memory (manuf 0x4BF, id 0x80E, rev 0x0B, class 0x0)
[ 0.140000] bcma: bus0: Using SPROM revision 8 provided by platform.
[ 0.140000] bcma: bus0: PMU resource config unknown or not needed for device 0x5357
[ 0.150000] bcma: bus0: Workarounds unknown or not needed for device 0x5357
[ 0.150000] bcma: bus0: Initializing MIPS core...
[ 0.150000] bcma: bus0: set_irq: core 0x0812, irq 3 => 3
[ 0.150000] bcma: bus0: set_irq: core 0x082d, irq 4 => 4
[ 0.150000] bcma: bus0: set_irq: core 0x0819, irq 5 => 5
[ 0.150000] bcma: bus0: set_irq: core 0x0800, irq 2 => 2
[ 0.150000] bcma: bus0: set_irq: core 0x0834, irq 2 => 2
[ 0.150000] bcma: bus0: IRQ reconfiguration done
[ 0.150000] bcma: core 0x0800, irq : 2(S)* 3 4 5 6 D I
[ 0.150000] bcma: core 0x082c, irq : 2(S) 3 4 5 6 D I*
[ 0.150000] bcma: core 0x0812, irq : 2(S) 3* 4 5 6 D I
[ 0.150000] bcma: core 0x082d, irq : 2(S) 3 4* 5 6 D I
[ 0.150000] bcma: core 0x0819, irq : 2(S) 3 4 5* 6 D I
[ 0.150000] bcma: core 0x082e, irq : 2(S) 3 4 5 6 D* I
[ 0.150000] bcma: core 0x0834, irq : 2(S)* 3 4 5 6 D I
[ 0.150000] bcma: core 0x080e, irq : 2(S) 3 4 5 6 D I*
[ 0.150000] bcma: bus0: Bus registered
[ 0.160000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[ 0.160000] jffs2: version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[ 0.160000] msgmni has been set to 56
[ 0.160000] io scheduler noop registered
[ 0.160000] io scheduler deadline registered (default)
[ 0.160000] Serial: 8250/16550 driver, 16 ports, IRQ sharing enabled
[ 0.190000] serial8250.0: ttyS0 at MMIO 0xb8000300 (irq = 2) is a U6_16550A
[ 0.540000] console [ttyS0] enabled
[ 0.720000] 6 bcm47xxpart partitions found on MTD device bcm47xxsflash
[ 0.720000] Creating 6 MTD partitions on "bcm47xxsflash":
[ 0.730000] 0x000000000000-0x000000020000 : "boot"
[ 0.740000] 0x000000020000-0x0000007f0000 : "firmware"
[ 0.750000] 0x00000002001c-0x00000002090c : "loader"
[ 0.750000] 0x00000002090c-0x00000012f800 : "linux"
[ 0.760000] mtd: partition "linux" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[ 0.780000] 0x00000012f800-0x0000007f0000 : "rootfs"
[ 0.780000] mtd: partition "rootfs" must either start or end on erase block boundary or be smaller than an erase block -- forcing read-only
[ 0.800000] mtd: device 4 (rootfs) set to be root filesystem
[ 0.800000] mtd: partition "rootfs_data" created automatically, ofs=0x320000, len=0x4d0000
[ 0.810000] 0x000000320000-0x0000007f0000 : "rootfs_data"
[ 0.820000] 0x0000007f0000-0x000000800000 : "nvram"
[ 0.840000] libphy: Fixed MDIO Bus: probed
[ 0.850000] bcm47xx-wdt bcm47xx-wdt.0: BCM47xx Watchdog Timer enabled (30 seconds)
[ 0.850000] GPIO_WDT: failed to register misc device
[ 0.860000] TCP: cubic registered
[ 0.860000] NET: Registered protocol family 17
[ 0.870000] Bridge firewalling registered
[ 0.870000] 8021q: 802.1Q VLAN Support v1.8
[ 0.890000] VFS: Mounted root (squashfs filesystem) readonly on device 31:4.
[ 0.900000] Freeing unused kernel memory: 208K (802fc000 - 80330000)
[ 5.330000] pps_core: LinuxPPS API ver. 1 registered
[ 5.340000] pps_core: Software ver. 5.3.6 - Copyright 2005-2007 Rodolfo Giometti <giometti@…>
[ 5.350000] PTP clock support registered
[ 5.370000] bgmac bcma0:1: Found PHY addr: 30 (NOREGS)
[ 5.380000] bgmac bcma0:1: Support for Roboswitch not implemented
[ 5.390000] libphy: bgmac mii bus: probed
[ 5.400000] b53_common: found switch: BCM5325, rev 4
[ 5.410000] bgmac: Broadcom 47xx GBit MAC driver loaded
[ 11.100000] jffs2: notice: (245) jffs2_build_xattr_subsystem: complete building xattr subsystem, 1 of xdatum (1 unchecked, 0 orphan) and 7 of xref (0 dead, 2 orphan) found.
[ 15.480000] NET: Registered protocol family 10
[ 15.500000] nf_conntrack version 0.5.0 (455 buckets, 1820 max)
[ 15.520000] ip6_tables: (C) 2000-2006 Netfilter Core Team
[ 15.540000] Loading modules backported from Linux version master-2014-05-22-0-gf2032ea
[ 15.550000] Backport generated by backports.git backports-20140320-37-g5c33da0
[ 15.570000] ip_tables: (C) 2000-2006 Netfilter Core Team
[ 15.650000] xt_time: kernel timezone is -0000
[ 15.700000] cfg80211: Calling CRDA to update world regulatory domain
[ 15.700000] cfg80211: World regulatory domain updated:
[ 15.710000] cfg80211: DFS Master region: unset
[ 15.710000] cfg80211: (start_freq - end_freq @ bandwidth), (max_antenna_gain, max_eirp), (dfs_cac_time)
[ 15.720000] cfg80211: (2402000 KHz - 2472000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
[ 15.730000] cfg80211: (2457000 KHz - 2482000 KHz @ 40000 KHz), (N/A, 2000 mBm), (N/A)
[ 15.740000] cfg80211: (2474000 KHz - 2494000 KHz @ 20000 KHz), (N/A, 2000 mBm), (N/A)
[ 15.750000] cfg80211: (5170000 KHz - 5250000 KHz @ 80000 KHz), (N/A, 2000 mBm), (N/A)
[ 15.760000] cfg80211: (5735000 KHz - 5835000 KHz @ 80000 KHz), (N/A, 2000 mBm), (N/A)
[ 15.760000] cfg80211: (57240000 KHz - 63720000 KHz @ 2160000 KHz), (N/A, 0 mBm), (N/A)
[ 15.890000] PPP generic driver version 2.4.2
[ 15.900000] NET: Registered protocol family 24
[ 15.940000] Broadcom 43xx driver loaded [ Features: PNL ]
[ 15.960000] Broadcom 43xx-legacy driver loaded [ Features: PLD ]
[ 26.580000] device eth0.1 entered promiscuous mode
[ 26.580000] device eth0 entered promiscuous mode
[ 26.600000] br-lan: port 1(eth0.1) entered forwarding state
[ 26.600000] br-lan: port 1(eth0.1) entered forwarding state
[ 28.600000] br-lan: port 1(eth0.1) entered forwarding state

PS: When i installed openwrt image, i noticed that the /etc/config/wireless file was not existing at all. I created it manually.

comment:30 Changed 23 months ago by hauke

  • Resolution set to wontfix
  • Status changed from reopened to closed

The wifi core on this device is not supported by any driver found in Openwrt. Someone has to write a driver for this core.

comment:31 Changed 22 months ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

comment:32 Changed 16 months ago by anonymous

There is a brcmfmac driver, working with linux cfg80211. It SHOULD work, but I can't test it now. You need the newest (from 3.19 kernel or even newer) version of brcm80211 driver - and also provide firmware for radio (SDIO 4329).
I will test it in two months, but now I am out of the time

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.